### Method

# Vte Terminal set_scroll_on_insert

since: 0.76

#### Declaration [src]

    void
    vte_terminal_set_scroll_on_insert (
      VteTerminal* terminal,
      gboolean scroll
    )

#### Description [src]

Controls whether or not the terminal will forcibly scroll to the bottom of the viewable history when text is inserted, e.g. by a paste.

Available since: 0.76

Sets property | `Vte.Terminal:scroll-on-insert`

#### Parameters

`scroll`

  Type: `gboolean`

  Whether the terminal should scroll on insert.